PENTA Top Hat OLED not working

hello, i have problem with not working OLED in PENTA Hat Top. Tried on Ubuntu Server 18 and Armbian. Fan works fine, button don’t know
uname -a

Linux rockpi 4.4.154-110-rockchip-gcef30e88a9f5 #1 SMP Mon Jun 22 07:37:10 UTC 2020 aarch64 aarch64 aarch64 GNU/Linux

i2cdetect -y 1 it says:

00:          -- -- -- -- -- -- -- -- -- -- -- -- --
10: -- UU -- -- -- -- -- -- -- -- -- -- -- -- -- --
20: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
30: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
40: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
50: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
60: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
70: -- -- -- -- -- -- -- -- 

When i try run oled.py i receive:

Traceback (most recent call last):
  File "oled.py", line 28, in <module>
    disp = disp_init()
  File "oled.py", line 23, in disp_init
    [getattr(disp, x)() for x in ('begin', 'clear', 'display')]
  File "oled.py", line 23, in <listcomp>
    [getattr(disp, x)() for x in ('begin', 'clear', 'display')]
  File "/usr/local/lib/python3.6/dist-packages/Adafruit_SSD1306-1.6.2-py3.6.egg/Adafruit_SSD1306/SSD1306.py", line 148, in begin
  File "/usr/local/lib/python3.6/dist-packages/Adafruit_SSD1306-1.6.2-py3.6.egg/Adafruit_SSD1306/SSD1306.py", line 292, in _initialize
  File "/usr/local/lib/python3.6/dist-packages/Adafruit_SSD1306-1.6.2-py3.6.egg/Adafruit_SSD1306/SSD1306.py", line 129, in command
  File "/usr/local/lib/python3.6/dist-packages/Adafruit_GPIO-1.0.5-py3.6.egg/Adafruit_GPIO/I2C.py", line 116, in write8
  File "/usr/local/lib/python3.6/dist-packages/Adafruit_PureIO-1.1.5-py3.6.egg/Adafruit_PureIO/smbus.py", line 322, in write_byte_data
OSError: [Errno 6] No such device or address

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "oled.py", line 32, in <module>
    disp = disp_init()
  File "oled.py", line 23, in disp_init
    [getattr(disp, x)() for x in ('begin', 'clear', 'display')]
  File "oled.py", line 23, in <listcomp>
    [getattr(disp, x)() for x in ('begin', 'clear', 'display')]
  File "/usr/local/lib/python3.6/dist-packages/Adafruit_SSD1306-1.6.2-py3.6.egg/Adafruit_SSD1306/SSD1306.py", line 148, in begin
  File "/usr/local/lib/python3.6/dist-packages/Adafruit_SSD1306-1.6.2-py3.6.egg/Adafruit_SSD1306/SSD1306.py", line 292, in _initialize
  File "/usr/local/lib/python3.6/dist-packages/Adafruit_SSD1306-1.6.2-py3.6.egg/Adafruit_SSD1306/SSD1306.py", line 129, in command
  File "/usr/local/lib/python3.6/dist-packages/Adafruit_GPIO-1.0.5-py3.6.egg/Adafruit_GPIO/I2C.py", line 116, in write8
  File "/usr/local/lib/python3.6/dist-packages/Adafruit_PureIO-1.1.5-py3.6.egg/Adafruit_PureIO/smbus.py", line 322, in write_byte_data
OSError: [Errno 6] No such device or address

it is the same problem with bad cable that broke top hat like in this topic?


The cable or OLED may be broken, please contact Allnet to replace them together.